Index: binaries/data/mods/public/maps/random/schwarzwald.js
===================================================================
--- binaries/data/mods/public/maps/random/schwarzwald.js	(revision 17723)
+++ binaries/data/mods/public/maps/random/schwarzwald.js	(working copy)
@@ -1,43 +1,50 @@
-// Created by Niek ten Brinke (aka niektb)
-// Based on FeXoR's Daimond Square Algorithm for heightmap generation and several official random maps
+/**
+ * Created by Niek ten Brinke (aka niektb)
+ * Based on FeXoR's Daimond Square Algorithm for heightmap generation and several official random maps
+ */
 
 'use strict';
 
 RMS.LoadLibrary('rmgen');
 
-// initialize map
+/**
+ * initialize map
+ */
 
 log('Initializing map...');
 
 InitMap();
 
 
-////////////////
-//
-//  Initializing
-//
-////////////////
+/**
+ *  Initializing
+ */
 
-//sky
+/**
+ *sky
+ */
 setSkySet("fog");
 setFogFactor(0.35);
 setFogThickness(0.19);
-
-// water
+/**
+ * water
+ */
 setWaterColor(0.501961, 0.501961, 0.501961);
 setWaterTint(0.25098, 0.501961, 0.501961);
 setWaterWaviness(0.5);
 setWaterType("clap");
 setWaterMurkiness(0.75);
-
-// post processing
+/**
+ * post processing
+ */
 setPPSaturation(0.37);
 setPPContrast(0.4);
 setPPBrightness(0.4);
 setPPEffect("hdr");
 setPPBloom(0.4);
-
-// Setup tile classes
+/**
+ * Setup tile classes
+ */
 var clPlayer = createTileClass();
 var clPath = createTileClass();
 var clHill = createTileClass();
@@ -47,8 +54,9 @@
 var clFood = createTileClass();
 var clBaseResource = createTileClass();
 var clOpen = createTileClass();
-
-// Setup Templates
+/**
+ * Setup Templates
+ */
 var templateStone = 'gaia/geology_stone_alpine_a';
 var templateStoneMine = 'gaia/geology_stonemine_alpine_quarry';
 var templateMetal = 'actor|geology/stone_granite_med.xml';
@@ -64,8 +72,9 @@
 var aReeds = 'actor|props/flora/reeds_pond_lush_b.xml';
 var oFish = "gaia/fauna_fish";
 
-
-// Setup terrain
+/**
+ * Setup terrain
+ */
 var terrainWood = ['alpine_forrestfloor|gaia/flora_tree_oak', 'alpine_forrestfloor|gaia/flora_tree_pine']; 
 var terrainWoodBorder = ['new_alpine_grass_mossy|gaia/flora_tree_oak', 'alpine_forrestfloor|gaia/flora_tree_pine',
 	'temp_grass_long|gaia/flora_bush_temperate', 'temp_grass_clovers|gaia/flora_bush_berry', 'temp_grass_clovers_2|gaia/flora_bush_grapes',
@@ -108,14 +117,18 @@
 
 const BUILDING_ANGlE = -PI/4;
 
-// Setup map 
+/**
+ * Setup map 
+ */
 var mapSize = getMapSize();
 var mapRadius = mapSize/2;
 var playableMapRadius = mapRadius - 5;
 var mapCenterX = mapRadius;
 var mapCenterZ = mapRadius;
 
-// Setup players and bases
+/**
+ * Setup players and bases
+ */
 var numPlayers = getNumPlayers();
 var baseRadius = 15;
 var minPlayerRadius = min(mapRadius-1.5*baseRadius, 5*mapRadius/8);
@@ -128,28 +141,31 @@
 var playerAngleAddAvrg = 2*PI / numPlayers;
 var playerAngleMaxOff = playerAngleAddAvrg/4;
 
-// Setup paths
+/**
+ * Setup paths
+ */
 var pathSucsessRadius = baseRadius/2;
 var pathAngleOff = PI/2;
-var pathWidth = 10; // This is not really the path's thickness in tiles but the number of tiles in the clumbs of the path
+var pathWidth = 10; // This is not really the path's thickness in tiles but the number of tiles in the clumps of the path
 
-// Setup additional resources
+/**
+ * Setup additional resources
+ */
 var resourceRadius = 2*mapRadius/3; // 3*mapRadius/8;
 //var resourcePerPlayer = [templateStone, templateMetalMine];
 
-// Setup woods
-// For large maps there are memory errors with too many trees.  A density of 256*192/mapArea works with 0 players.
-// Around each player there is an area without trees so with more players the max density can increase a bit.
+/**
+ * Setup woods
+ * For large maps there are memory errors with too many trees.  A density of 256*192/mapArea works with 0 players.
+ * Around each player there is an area without trees so with more players the max density can increase a bit.
+ */
 var maxTreeDensity = min(256 * (192 + 8 * numPlayers) / (mapSize * mapSize), 1); // Has to be tweeked but works ok 
 var bushChance = 1/3; // 1 means 50% chance in deepest wood, 0.5 means 25% chance in deepest wood
 
 
-////////////////
-//
-//  Some general functions
-//
-////////////////
-
+/**
+ * Some general functions
+ */
 function HeightPlacer(lowerBound, upperBound) {
     this.lowerBound = lowerBound;
     this.upperBound = upperBound;
@@ -159,8 +175,8 @@
 	constraint = (constraint || new NullConstraint());
 	
     var ret = [];
-    for (var x = 0; x < g_Map.size; x++) {
-        for (var y = 0; y < g_Map.size; y++) {
+    for (var x = 0; x < g_Map.size; ++x) {
+        for (var y = 0; y < g_Map.size; ++y) {
             if (g_Map.height[x][y] >= this.lowerBound && g_Map.height[x][y] <= this.upperBound && constraint.allows(x, y)) {
                 ret.push(new PointXZ(x, y));
             }
@@ -169,17 +185,17 @@
     return ret;
 };
 
-/*
-Takes an array of 2D points (arrays of length 2)
-Returns the order to go through the points for the shortest closed path (array of indices)
-*/
+/**
+ * Takes an array of 2D points (arrays of length 2)
+ * Returns the order to go through the points for the shortest closed path (array of indices)
+ */
 function getOrderOfPointsForShortestClosePath(points)
 {
 	var order = [];
 	var distances = [];
 	if (points.length <= 3)
 	{
-		for (var i = 0; i < points.length; i++)
+		for (var i = 0; i < points.length; ++i)
 			order.push(i);
 		
 		return order;
@@ -187,7 +203,7 @@
 	
 	// Just add the first 3 points
 	var pointsToAdd = deepcopy(points);
-	for (var i = 0; i < min(points.length, 3); i++)
+	for (var i = 0; i < min(points.length, 3); i)
 	{
 		order.push(i);
 		pointsToAdd.shift(i);
@@ -198,13 +214,13 @@
 	
 	// Add remaining points so the path lengthens the least
 	var numPointsToAdd = pointsToAdd.length;
-	for (var i = 0; i < numPointsToAdd; i++)
+	for (var i = 0; i < numPointsToAdd; ++i)
 	{
 		var indexToAddTo = undefined;
 		var minEnlengthen = Infinity;
 		var minDist1 = 0;
 		var minDist2 = 0;
-		for (var k = 0; k < order.length; k++)
+		for (var k = 0; k < order.length; ++k)
 		{
 			var dist1 = getDistance(pointsToAdd[0][0], pointsToAdd[0][1], points[order[k]][0], points[order[k]][1]);
 			var dist2 = getDistance(pointsToAdd[0][0], pointsToAdd[0][1], points[order[(k + 1) % order.length]][0], points[order[(k + 1) % order.length]][1]);
@@ -226,25 +242,21 @@
 }
 
 
-////////////////
-//
-//  Heightmap functionality
-//
-////////////////
+/**
+ *  Heightmap functionality
+ */
 
-// Some heightmap constants
-const MIN_HEIGHT = - SEA_LEVEL; // -20
-const MAX_HEIGHT = 0xFFFF/HEIGHT_UNITS_PER_METRE - SEA_LEVEL; // A bit smaller than 90
-
-// Get the diferrence between minimum and maxumum height
+/**
+ * Get the diferrence between minimum and maxumum height
+ */
 function getMinAndMaxHeight(reliefmap)
 {
 	var height = {};
 	height.min = Infinity;
 	height.max = - Infinity;
-	for (var x = 0; x < reliefmap.length; x++)
+	for (var x = 0; x < reliefmap.length; ++x)
 	{
-		for (var y = 0; y < reliefmap[x].length; y++)
+		for (var y = 0; y < reliefmap[x].length; ++y)
 		{
 			if (reliefmap[x][y] < height.min)
 				height.min = reliefmap[x][y];
@@ -264,22 +276,22 @@
 	var oldHeightRange = getMinAndMaxHeight(heightmap);
 	var max_x = heightmap.length;
 	var max_y = heightmap[0].length;
-	for (var x = 0; x < max_x; x++)
-		for (var y = 0; y < max_y; y++)
+	for (var x = 0; x < max_x; ++x)
+		for (var y = 0; y < max_y; ++y)
 			heightmap[x][y] = minHeight + (heightmap[x][y] - oldHeightRange.min) / (oldHeightRange.max - oldHeightRange.min) * (maxHeight - minHeight);
 }
 
-/*
-getStartLocationsByHeightmap
-Takes
-	hightRange		An associative array with keys 'min' and 'max' each containing a float (the height range start locations are allowed)
-	heightmap		Optional, default is g_Map.height, an array of (map width) arrays of (map depth) floats
-	maxTries		Optional, default is 1000, an integer, how often random player distributions are rolled to be compared
-	minDistToBorder	Optional, default is 20, an integer, how far start locations have to be 
-	numberOfPlayers	Optional, default is getNumPlayers, an integer, how many start locations should be placed
-Returns
-	An array of 2D points (arrays of length 2)
-*/
+/**
+ * getStartLocationsByHeightmap
+ * Takes
+ *	hightRange		An associative array with keys 'min' and 'max' each containing a float (the height range start locations are allowed)
+ *	heightmap		Optional, default is g_Map.height, an array of (map width) arrays of (map depth) floats
+ *	maxTries		Optional, default is 1000, an integer, how often random player distributions are rolled to be compared
+ *	minDistToBorder	Optional, default is 20, an integer, how far start locations have to be 
+ *	numberOfPlayers	Optional, default is getNumPlayers, an integer, how many start locations should be placed
+ * Returns
+ *	An array of 2D points (arrays of length 2)
+ */
 function getStartLocationsByHeightmap(hightRange, maxTries, minDistToBorder, numberOfPlayers, heightmap)
 {
 	maxTries = (maxTries || 1000);
@@ -288,21 +300,21 @@
 	heightmap = (heightmap || g_Map.height);
 	
 	var validStartLocTiles = [];
-	for (var x = minDistToBorder; x < heightmap.length - minDistToBorder; x++)
-		for (var y = minDistToBorder; y < heightmap[0].length - minDistToBorder; y++)
+	for (var x = minDistToBorder; x < heightmap.length - minDistToBorder; ++x)
+		for (var y = minDistToBorder; y < heightmap[0].length - minDistToBorder; ++y)
 			if (heightmap[x][y] > hightRange.min && heightmap[x][y] < hightRange.max) // Has the right hight
 				validStartLocTiles.push([x, y]);
 	
 	var maxMinDist = 0;
-	for (var tries = 0; tries < maxTries; tries++)
+	for (var tries = 0; tries < maxTries; ++tries)
 	{
 		var startLoc = [];
 		var minDist = heightmap.length;
-		for (var p = 0; p < numberOfPlayers; p++)
+		for (var p = 0; p < numberOfPlayers; ++p)
 			startLoc.push(validStartLocTiles[randInt(validStartLocTiles.length)]);
-		for (var p1 = 0; p1 < numberOfPlayers - 1; p1++)
+		for (var p1 = 0; p1 < numberOfPlayers - 1; ++p1)
 		{
-			for (var p2 = p1 + 1; p2 < numberOfPlayers; p2++)
+			for (var p2 = p1 + 1; p2 < numberOfPlayers; ++p2)
 			{
 				var dist = getDistance(startLoc[p1][0], startLoc[p1][1], startLoc[p2][0], startLoc[p2][1]);
 				if (dist < minDist)
@@ -319,18 +331,18 @@
 	return finalStartLoc;
 }
 
-/*
-derivateEntitiesByHeight
-Takes
-	hightRange		An associative array with keys 'min' and 'max' each containing a float (the height range start locations are allowed)
-	startLoc		An array of 2D points (arrays of length 2)
-	heightmap		Optional, default is g_Map.height, an array of (map width) arrays of (map depth) floats
-	entityList		Array of entities/actors (strings to be placed with placeObject())
-	maxTries		Optional, default is 1000, an integer, how often random player distributions are rolled to be compared
-	minDistance		Optional, default is 30, an integer, how far start locations have to be away from start locations and the map border
-Returns
-	An array of 2D points (arrays of length 2)
-*/
+/**
+ *derivateEntitiesByHeight
+ *Takes
+ *	hightRange		An associative array with keys 'min' and 'max' each containing a float (the height range start locations are allowed)
+ *	startLoc		An array of 2D points (arrays of length 2)
+ *	heightmap		Optional, default is g_Map.height, an array of (map width) arrays of (map depth) floats
+ *	entityList		Array of entities/actors (strings to be placed with placeObject())
+ *	maxTries		Optional, default is 1000, an integer, how often random player distributions are rolled to be compared
+ *	minDistance		Optional, default is 30, an integer, how far start locations have to be away from start locations and the map border
+ *Returns
+ *	An array of 2D points (arrays of length 2)
+ */
 function derivateEntitiesByHeight(hightRange, startLoc, entityList, maxTries, minDistance, heightmap)
 {
 	entityList = (entityList || [templateMetalMine, templateStoneMine]);
@@ -340,19 +352,19 @@
 	
 	var placements = deepcopy(startLoc);
 	var validTiles = [];
-	for (var x = minDistance; x < heightmap.length - minDistance; x++)
-		for (var y = minDistance; y < heightmap[0].length - minDistance; y++)
+	for (var x = minDistance; x < heightmap.length - minDistance; ++x)
+		for (var y = minDistance; y < heightmap[0].length - minDistance; ++y)
 			if (heightmap[x][y] > hightRange.min && heightmap[x][y] < hightRange.max) // Has the right hight
 				validTiles.push([x, y]);
 	
 	if (!validTiles.length)
 		return;
 	
-	for (var tries = 0; tries < maxTries; tries++)
+	for (var tries = 0; tries < maxTries; ++tries)
 	{
 		var tile = validTiles[randInt(validTiles.length)];
 		var isValid = true;
-		for (var p = 0; p < placements.length; p++)
+		for (var p = 0; p < placements.length; ++p)
 		{
 			if (getDistance(placements[p][0], placements[p][1], tile[0], tile[1]) < minDistance)
 			{
@@ -370,11 +382,9 @@
 }
 
 
-////////////////
-//
-//  Base terrain generation functionality
-//
-////////////////
+/**
+ *  Base terrain generation functionality
+ */
 
 function setBaseTerrainDiamondSquare(minHeight, maxHeight, smoothness, initialHeightmap, heightmap)
 {
@@ -395,10 +405,10 @@
 		var newHeightmap = [];
 		var oldWidth = initialHeightmap.length;
 		// Square
-		for (var x = 0; x < 2 * oldWidth - 1; x++)
+		for (var x = 0; x < 2 * oldWidth - 1; ++x)
 		{
 			newHeightmap.push([]);
-			for (var y = 0; y < 2 * oldWidth - 1; y++)
+			for (var y = 0; y < 2 * oldWidth - 1; ++y)
 			{
 				if (x % 2 === 0 && y % 2 === 0) // Old tile
 					newHeightmap[x].push(initialHeightmap[x/2][y/2]);
@@ -412,9 +422,9 @@
 			}
 		}
 		// Diamond
-		for (var x = 0; x < 2 * oldWidth - 1; x++)
+		for (var x = 0; x < 2 * oldWidth - 1; ++x)
 		{
-			for (var y = 0; y < 2 * oldWidth - 1; y++)
+			for (var y = 0; y < 2 * oldWidth - 1; ++y)
 			{
 				if (newHeightmap[x][y] === undefined)
 				{
@@ -452,18 +462,15 @@
 	
 	// Cut initialHeightmap to fit target width
 	var shift = [floor((newHeightmap.length - heightmap.length) / 2), floor((newHeightmap[0].length - heightmap[0].length) / 2)];
-	for (var x = 0; x < heightmap.length; x++)
-		for (var y = 0; y < heightmap[0].length; y++)
+	for (var x = 0; x < heightmap.length; ++x)
+		for (var y = 0; y < heightmap[0].length; ++y)
 			heightmap[x][y] = newHeightmap[x][y];
 }
 
 
-////////////////
-//
-//  Terrain erosion functionality
-//
-////////////////
-
+/**
+ *  Terrain erosion functionality
+ */
 function decayErrodeHeightmap(strength, heightmap)
 {
 	strength = (strength || 0.9); // 0 to 1
@@ -474,9 +481,9 @@
 	var map = [[1, 0], [1, 1], [0, 1], [-1, 1], [-1, 0], [-1, -1], [0, -1], [1, -1]]; // smoother
 	var max_x = heightmap.length;
 	var max_y = heightmap[0].length;
-	for (var x = 0; x < max_x; x++)
-		for (var y = 0; y < max_y; y++)
-			for (var i = 0; i < map.length; i++)
+	for (var x = 0; x < max_x; ++x)
+		for (var y = 0; y < max_y; ++y)
+			for (var i = 0; i < map.length; ++i)
 				heightmap[x][y] += strength / map.length * (referenceHeightmap[(x + map[i][0] + max_x) % max_x][(y + map[i][1] + max_y) % max_y] - referenceHeightmap[x][y]); // Not entirely sure if scaling with map.length is perfect but tested values seam to indicate it is
 }
 
@@ -490,10 +497,10 @@
 	heightmap = (heightmap || g_Map.height);
 	
 	var heightmapWin = [];
-	for (var wx = 0; wx < 2 * dx + 1; wx++)
+	for (var wx = 0; wx < 2 * dx + 1; ++wx)
 	{
 		heightmapWin.push([]);
-		for (var wy = 0; wy < 2 * dy + 1; wy++)
+		for (var wy = 0; wy < 2 * dy + 1; ++wy)
 		{
 			var actualX = x - dx + wx;
 			var actualY = y - dy + wy;
@@ -503,9 +510,9 @@
 				heightmapWin[wx].push(targetHeight);
 		}
 	}
-	for (var wx = 0; wx < 2 * dx + 1; wx++)
+	for (var wx = 0; wx < 2 * dx + 1; ++wx)
 	{
-		for (var wy = 0; wy < 2 * dy + 1; wy++)
+		for (var wy = 0; wy < 2 * dy + 1; ++wy)
 		{
 			var actualX = x - dx + wx;
 			var actualY = y - dy + wy;
@@ -522,45 +529,53 @@
 }
 
 
-////////////////
-//
-//  Actually do stuff
-//
-////////////////
+/**
+ *  Actually do stuff
+ */
 
-////////////////
-// Set height limits and water level by map size
-////////////////
+/**
+ * Set height limits and water level by map size
+ */
 
-// Set target min and max height depending on map size to make average steepness about the same on all map sizes
+/**
+ * Set target min and max height depending on map size to make average steepness about the same on all map sizes
+ */
 var heightRange = {'min': MIN_HEIGHT * (g_Map.size + 512) / 8192, 'max': MAX_HEIGHT * (g_Map.size + 512) / 8192, 'avg': (MIN_HEIGHT * (g_Map.size + 512) +MAX_HEIGHT * (g_Map.size + 512))/16384};
 
-// Set average water coverage
+/**
+ * Set average water coverage
+ */
 var averageWaterCoverage = 1/5; // NOTE: Since erosion is not predictable actual water coverage might vary much with the same values
 var waterHeight = -MIN_HEIGHT + heightRange.min + averageWaterCoverage * (heightRange.max - heightRange.min);
 var waterHeightAdjusted = waterHeight + MIN_HEIGHT;
 setWaterHeight(waterHeight);
 
-////////////////
-// Generate base terrain
-////////////////
+/**
+ * Generate base terrain
+ */
 
-// Setting a 3x3 Grid as initial heightmap
+/**
+ * Setting a 3x3 Grid as initial heightmap
+ */
 var initialReliefmap = [[heightRange.max, heightRange.max, heightRange.max], [heightRange.max, heightRange.min, heightRange.max], [heightRange.max, heightRange.max, heightRange.max]];
 
 setBaseTerrainDiamondSquare(heightRange.min, heightRange.max, 0.5, initialReliefmap, g_Map.height);
-// Apply simple erosion
-for (var i = 0; i < 5; i++)
+/**
+ * Apply simple erosion
+ */
+for (var i = 0; i < 5; ++i)
 	decayErrodeHeightmap(0.5);
 rescaleHeightmap(heightRange.min, heightRange.max);
 
 RMS.SetProgress(50);
 
-//////////
-// Setup height limit
-//////////
+/**
+ * Setup height limit
+ */
 
-// Height presets
+/**
+ * Height presets
+ */
 var heighLimits = [
 	heightRange.min + 1/3 * (waterHeightAdjusted - heightRange.min), // 0 Deep water
 	heightRange.min + 2/3 * (waterHeightAdjusted - heightRange.min), // 1 Medium Water
@@ -574,15 +589,17 @@
 	waterHeightAdjusted + 7/8 * (heightRange.max - waterHeightAdjusted), // 9 Upper forest border
 	waterHeightAdjusted + (heightRange.max - waterHeightAdjusted)]; // 10 Hilltop
 
-//////////
-// Place start locations and apply terrain texture and decorative props
-//////////
+/**
+ * Place start locations and apply terrain texture and decorative props
+ */
 
-// Get start locations
+/**
+ * Get start locations
+ */
 var startLocations = getStartLocationsByHeightmap({'min': heighLimits[4], 'max': heighLimits[5]});
 var playerHeight = (heighLimits[4] + heighLimits[5]) / 2;
 
-for (var i=0; i < numPlayers; i++)
+for (var i=0; i < numPlayers; ++i)
 {
 	playerAngle[i] = (playerAngleStart + i*playerAngleAddAvrg + randFloat(0, playerAngleMaxOff))%(2*PI);
 	var x = round(mapCenterX + randFloat(minPlayerRadius, maxPlayerRadius)*cos(playerAngle[i]));
@@ -604,7 +621,7 @@
 	var distToSL = 15;
 	var resStartAngle = playerAngle[i] + PI;
 	var resAddAngle = 2*PI / startingResources.length;
-	for (var rIndex = 0; rIndex < startingResources.length; rIndex++)
+	for (var rIndex = 0; rIndex < startingResources.length; ++rIndex)
 	{
 		var angleOff = randFloat(-resAddAngle/2, resAddAngle/2);
 		var placeX = x + distToSL*cos(resStartAngle + rIndex*resAddAngle + angleOff);
@@ -614,13 +631,17 @@
 	}
 }
 
-// Add further stone and metal mines
+/**
+ * Add further stone and metal mines
+ */
 derivateEntitiesByHeight({'min': heighLimits[3], 'max': ((heighLimits[4]+heighLimits[3])/2)}, startLocations);
 derivateEntitiesByHeight({'min': ((heighLimits[5]+heighLimits[6])/2), 'max': heighLimits[7]}, startLocations);
 
 RMS.SetProgress(50);
 
-//place water & open terrain textures and assign TileClasses
+/**
+ * place water & open terrain textures and assign TileClasses
+ */
 log("Painting textures...");
 var placer = new HeightPlacer(heighLimits[2], (heighLimits[3]+heighLimits[2])/2);
 var painter = new LayeredPainter([terrainBase, terrainBaseBorder], [5]);
@@ -634,7 +655,9 @@
 
 RMS.SetProgress(60);
 
-// Place paths
+/**
+ * Place paths
+ */
 log("Placing paths...");
 var doublePaths = true;
 if (numPlayers > 4)
@@ -644,13 +667,13 @@
 	var maxI = numPlayers+1;
 else
 	var maxI = numPlayers;
-for (var i = 0; i < maxI; i++)
+for (var i = 0; i < maxI; ++i)
 {
 	if (doublePaths === true)
 		var minJ = 0;
 	else
 		var minJ = i+1;
-	for (var j = minJ; j < numPlayers+1; j++)
+	for (var j = minJ; j < numPlayers+1; ++j)
 	{
 		// Setup start and target coordinates
 		if (i < numPlayers)
@@ -700,7 +723,7 @@
 			}
 			if (getDistance(x, z, targetX, targetZ) < pathSucsessRadius)
 				targetReached = true;
-			tries++;
+			++tries;
 
 		}
 	}
@@ -708,7 +731,9 @@
 
 RMS.SetProgress(75);
 
-//create general decoration
+/**
+ *create general decoration
+ */
 log("Creating decoration...");
 createDecoration
 (
@@ -730,7 +755,9 @@
 
 RMS.SetProgress(80);
 
-//create fish
+/**
+ *create fish
+ */
 log("Growing fish...");
 createFood
 (
@@ -745,7 +772,9 @@
 
 RMS.SetProgress(85);
 
-// create reeds
+/**
+ * create reeds
+ */
 log("Planting reeds...");
 var types = [aReeds];	// some variation
 for (var i = 0; i < types.length; ++i)
@@ -759,16 +788,18 @@
 
 RMS.SetProgress(90);
 
-// place trees
+/**
+ * place trees
+ */
 log("Planting trees...");
-for (var x = 0; x < mapSize; x++)
+for (var x = 0; x < mapSize; ++x)
 {
-	for (var z = 0;z < mapSize;z++)
+	for (var z = 0; z < mapSize; ++z)
 	{
 		// Some variables
 		var radius = Math.pow(Math.pow(mapCenterX - x - 0.5, 2) + Math.pow(mapCenterZ - z - 0.5, 2), 1/2); // The 0.5 is a correction for the entities placed on the center of tiles
 		var minDistToSL = mapSize;
-		for (var i=0; i < numPlayers; i++)
+		for (var i=0; i < numPlayers; ++i)
 			minDistToSL = min(minDistToSL, getDistance(playerStartLocX[i], playerStartLocZ[i], x, z));
 		// Woods tile based
 		var tDensFactSL = max(min((minDistToSL - baseRadius) / baseRadius, 1), 0);
@@ -793,5 +824,7 @@
 
 RMS.SetProgress(100);
 
-// Export map data
+/**
+ * Export map data
+ */
 ExportMap();
